local help_message = [[

ROCm Compute Profiler is an open-source performance analysis tool for profiling
machine learning/HPC workloads running on AMD MI GPUs.

Version 3.1.0
]]

help(help_message,"\n")

whatis("Name: rocprofiler-compute")
whatis("Version: 3.1.0")
whatis("Keywords: Profiling, Performance, GPU")
whatis("Description: tool for GPU performance profiling")
whatis("URL: https://github.com/ROCm/rocprofiler-compute")

-- Export environmental variables
local topDir="/opt/rocm-6.4.1"
local binDir="/opt/rocm-6.4.1/bin"
local shareDir="/opt/rocm-6.4.1/share"
local pythonDeps="/longer_pathname_so_that_rpms_can_support_packaging_the_debug_info_for_all_os_profiles/src/out/ubuntu-22.04/22.04/build/rocprofiler-compute/python-libs"

setenv("ROCPROFCOMPUTE_DIR",topDir)
setenv("ROCPROFCOMPUTE_BIN",binDir)
setenv("ROCPROFCOMPUTE_SHARE",shareDir)

-- Update relevant PATH variables
prepend_path("PATH",binDir)
if ( pythonDeps  ~= "" ) then
   prepend_path("PYTHONPATH",pythonDeps)
end
